-- Demo Java application that demonstrate the Direct Row Handling API to connect with a mySQL database using the mySQL JDBC Driver
-- SQL Anywhere Studio MobiLink Synchronization 10.0.1
-- Written by Joshua Savill
-- Product Manager - Sybase iAnywhere
-- December 4, 2007

/*------------------------------------------------------------------------------
*                           Create Upload and Download Scripts
*-----------------------------------------------------------------------------*/

call ml_add_java_connection_script( 'v1', 'handle_UploadData', 'mySQLSync.handleUpload' );
call ml_add_java_connection_script( 'v1', 'handle_DownloadData', 'mySQLSync.handleDownload' );
call ml_add_java_connection_script( 'v1', 'begin_download', 'mySQLSync.beginDownload' );

/*------------------------------------------------------------------------------
*                           Error Handling Scripts
*-----------------------------------------------------------------------------*/

call ml_add_java_connection_script( 'v1', 'handle_error', 'mySQLSync.handleError' );

/*------------------------------------------------------------------------------
*                           Custom User Authentication
*-----------------------------------------------------------------------------*/

call ml_add_java_connection_script( 'v1', 'authenticate_user', 'mySQLSync.authenticateUser' );

/*------------------------------------------------------------------------------
*                           Resource Cleanup for Java Code
*-----------------------------------------------------------------------------*/

call ml_add_java_connection_script( 'v1', 'end_connection', 'mySQLSync.endConnection' );