ECHO OFF
REM Demo Java application that demonstrate the Direct Row Handling API to connect with a mySQL database using the mySQL JDBC Driver
REM SQL Anywhere Studio MobiLink Synchronization 10.0.1
REM Written by Joshua Savill
REM Product Manager - Sybase iAnywhere
REM December 4, 2007

"%SQLANY10%\win32\mlstop" -w -h direct_ml

"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;ENG=direct_cons"

del /f MLcons.*
del /f *.txt
del /f *.class

"%SQLANY10%\win32\dbinit" -i -s -k MLcons.db

"%SQLANY10%\win32\dbdsn" -wu direct_cons -c "UID=DBA;PWD=sql;ENG=direct_cons;DBN=MLcons;LINKS=tcpip{HOST=jsavill-d620;PORT=2638}" -y

"%SQLANY10%\win32\dbspawn" -f dbsrv10 -n direct_cons MLcons.db -n MLcons -x tcpip{PORT=2638}

"%SQLANY10%\win32\dbisql" -c "DSN=direct_cons" read "%SQLANY10%\MobiLink\setup\syncsa.sql"

"%SQLANY10%\win32\dbisql" -c "DSN=direct_cons" "read cons_schema.sql"

start "" "C:\Program Files\Java\jdk1.5.0_13\bin\javac" "mySQLSync.java"

start "" "%SQLANY10%\win32\mlsrv10" -zs direct_ml -c "DSN=direct_cons" -o serverOut.txt -v+ -dl -zu+ -x tcpip{port=2439}  -sl java

