ECHO OFF
REM Demo Java application that demonstrate the Direct Row Handling API to connect with a mySQL database using the mySQL JDBC Driver
REM SQL Anywhere Studio MobiLink Synchronization 10.0.1
REM Written by Joshua Savill
REM Product Manager - Sybase iAnywhere
REM December 4, 2007

"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;ENG=direct_rem"

del /f MLrem.*
del /f *.txt

"%SQLANY10%\win32\dbinit" -i -s -k MLrem.db

"%SQLANY10%\win32\dbdsn" -wu direct_rem -c "UID=DBA;PWD=sql;ENG=direct_rem;DBN=MLrem;LINKS=tcpip{HOST=jsavill-d620;PORT=2639}" -y

"%SQLANY10%\win32\dbspawn" -f dbsrv10 -n direct_rem MLrem.db -n MLrem -x tcpip{PORT=2639}

"%SQLANY10%\win32\dbisql" -c "DSN=direct_rem" "read rem_schema.sql"

"%SQLANY10%\win32\dbisql" -c "DSN=direct_rem" "read insert.sql"

"%SQLANY10%\win32\dbmlsync" -k -c "DSN=direct_rem" -mp sql -e scn=on -o rem.txt -v+

@ECHO OFF
@ECHO  ===========================================================================
@ECHO  Remote Admin Table
@ECHO  ===========================================================================
@ECHO  

"%SQLANY10%\win32\dbisql" -c "DSN=direct_rem" SELECT * FROM admin;

@ECHO OFF
@ECHO  ===========================================================================
@ECHO  Remote Inventory Table
@ECHO  ===========================================================================
@ECHO  

"%SQLANY10%\win32\dbisql" -c "DSN=direct_rem" SELECT * FROM inventory;

@ECHO OFF
@ECHO  ===========================================================================
@ECHO  Remote Parent Table
@ECHO  ===========================================================================
@ECHO  

"%SQLANY10%\win32\dbisql" -c "DSN=direct_rem" SELECT * FROM parent;

@ECHO OFF
@ECHO  ===========================================================================
@ECHO  Remote Child Table
@ECHO  ===========================================================================
@ECHO  

"%SQLANY10%\win32\dbisql" -c "DSN=direct_rem" SELECT * FROM child;
